add_library(dearimgui imgui.cpp imgui_demo.cpp imgui_widgets.cpp imgui_tables.cpp imgui_draw.cpp imgui_impl_glfw.cpp imgui_impl_opengl3.cpp)

target_include_directories(dearimgui 
    PUBLIC ../glfw/include
)

# message( " current source dir: ${CMAKE_CURRENT_SOURCE_DIR}" )